<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


class Ubicaciones{
	public $resId=NULL;				
	public $old_recordset=NULL;		
	public $recordset=NULL;			
	public $mail=NULL;				
	public $prefs=NULL;				
	
	public function checkKeys(){
		$cadena=""; 
		$f=$this->recordset;
		$o=$this->old_recordset;
		global $lngs;
		if($f['cod_ubicacion']!=$o['cod_ubicacion']){
			$sql="UPDATE smk_conciliacion SET id_ubic='{$f['cod_ubicacion']}' WHERE id_ubic='{$o['cod_ubicacion']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET id_ubicacion='{$f['cod_ubicacion']}' WHERE id_ubicacion='{$o['cod_ubicacion']}'";
			$q=mysql_query($sql);
		}
	}
	public function deleteKey(){
		$cadena=""; 
		$f=$this->recordset;
		global $lngs;
			$sql="UPDATE smk_conciliacion SET id_ubic=NULL WHERE id_ubic='{$f['cod_ubicacion']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET id_ubicacion=NULL WHERE id_ubicacion='{$f['cod_ubicacion']}'";
			$q=mysql_query($sql);
	}
}
?>